# RevitDoc--模型检查数据格式

文档中单位统一使用公制，英制需转为公制使用

    数据检查的总体格式
 
    {
        "Content":[{checkItem0},{checkItem1}...],
        "FloorName":"D:\RevitWorkSpace\Pj1101080004\Bd110108000438d0a8c0d6e843ef85d739e91f1c9db6\Fl11010800043637f04b70834f2dbe0b82eb39068a04.rvt",
        "Result":"Success"
    }
补充：ResultMsg为null或”“时不显示

## 楼层平面图命名规范检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：

    {
        "Name":"SagaCheck",
        "Content":[
            {
                "PlanName":"F1-saga",
                "Result":"Success"
            }
        ],
        "Result":"Success"
    }
    
| 名称              | 解释           | 示例                      |
|-------------------|----------------|---------------------------|
| Content.PlanName  | 楼层平面图名称 | F1-saga                   |
| Content.Result    | 检查结果       | 可选：“Success”,"Failure" |
| Content.ResultMsg | 提示信息       | 为""或null，不显示此项    |
| Name              | 检查项名称     | "SagaCheck"               |
| ResultMsg         | 提示信息       | 为""或null，不显示此项    |
| Result            | 结果           | “Success”,"Failure"       |

## 项目长度单位检查

    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"UnitCheck",
        "Content":[
            {
                "Unit":"DUT_MILLIMETERS",
                "Result":"Success",
                "ResultMsg":""
            }
        ],
        "Result":"Success"
    }

| 名称              | 解释         | 示例                      |
|-------------------|--------------|---------------------------|
| Content.FloorUnit | 项目长度单位 | mm                        |
| Content.Result    | 检查结果     | 可选：“Success”,"Failure" |
| Content.ResultMsg | 提示信息     | 为""或null，不显示此项    |
| Name              | 检查项名称   | "UnitCheck"               |
| ResultMsg         | 提示信息     | 为""或null，不显示此项    |
| Result            | 结果         | “Success”,"Failure"       |
| Result            | 结果         | “Success”                 |

## 轴网检查
    所需要的数据，在提取时提取。

    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Contents":[
            {
                "GridType":"Arc",
                "GridStart":"688.217416431504, 53.8058987149525, 0",
                "GridEnd":"688.217416431504, 53.8058987149525, 0",
                "GridMiddle":"688.217416431504, 53.8058987149525, 0"
            }
        ]
    }
| 名称               | 解释       | 示例                                    |
|--------------------|------------|-----------------------------------------|
| FloorName          | 楼层名称   | PjXXX_001                               |
| Content.GridType   | 轴网类型   | Arc,Line                                |
| Content.GridStart  | 轴网起点   | ”688.217416431504, 53.8058987149525, 0“ |
| Content.GridEnd    | 轴网终点   | ”688.217416431504, 53.8058987149525, 0“ |
| Content.GridMiddle | 轴网中心点 | ”688.217416431504, 53.8058987149525, 0“ |
| ResultMsg          | 提示信息   | “”                                      |
| Result             | 结果       | “Success”                               |


## 设备族编码检查

    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"FamilyNameCheck",
        "Content":[
            {
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "Result":"Success"
            },
            ...
        ],
        "ReferenceSheet":"参考-revit分类",
        "Result":"Success"
    }
    
| 名称               | 解释       | 示例                      |
|--------------------|------------|---------------------------|
| Content.FamilyName | 族名称     | ATFC-带回风箱的风机盘管   |
| Content.Result     | 检查结果   | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息   | 为""或null，不显示此项    |
| Name               | 检查项名称 | "FamilyNameCheck"         |
| ResultMsg          | 提示信息   | 为""或null，不显示此项    |
| Result             | 结果       | “Success”,"Failure"       |
| Result             | 结果       | “Success”                 |

##柱边界检查

    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"ColumnCheck",
        "Content":[
            {
                "Id":"316183",
                "FamilyName":"混凝土 - 矩形 - 柱",
                "Result":"Success"
            },
            ...
        ],
        "Result":"Success"
    }
    
| 名称               | 解释        | 示例                      |
|--------------------|-------------|---------------------------|
| Content.FamilyName | 柱名称      | 混凝土 - 矩形 - 柱        |
| Content.BIMID      | Revit实例Id | 316183                    |
| Content.Result     | 检查结果    | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息    | 为""或null，不显示此项    |
| Name               | 检查项名称  | "ColumnCheck"             |
| ResultMsg          | 提示信息    | 为""或null，不显示此项    |
| Result             | 结果        | “Success”,"Failure"       |

## 部件所在位置检查

    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"EquipPartLocationCheck",
        "Content":[
            {
                "PartFamilyName":"TDLSDW-低压配电抽屉",
                "Result":"Success",
                "ResultMsg":"通过"
            }
        ]
    }
| 名称                   | 解释       | 示例                      |
|------------------------|------------|---------------------------|
| Content.PartFamilyName | 部件族名称 | TDLSDW-低压配电抽屉       |
| Content.Result         | 检查结果   | 可选：“Success”,"Failure" |
| Content.ResultMsg      | 提示信息   | 为""或null，不显示此项    |
| Name                   | 检查项名称 | "EquipPartLocationCheck"  |
| ResultMsg              | 提示信息   | 为""或null，不显示此项    |
| Result                 | 结果       | “Success”,"Failure"       |
| Result                 | 结果       | “Success”,"Failure"       |
## 连接件检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"ConnectorCheck",
        "Content":[
            {
                "Id":"363043",
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "Type":"设备",
                "ResultMsg":"发现 水管连接件未连接;发现 风管连接件未连接;",
                "Result":"Failure"
            },
            ...
        ],
        "ReferenceSheet":"参考-连接件对照表",
        "Result":"Success"
    }
| 名称               | 解释        | 示例                      |
|--------------------|-------------|---------------------------|
| Content.Id         | Revit实例Id | 363043                    |
| Content.FamilyName | 构件族名称  | 混凝土 - 矩形 - 柱        |
| Content.Type       | 构件类型    | 设备,部件                 |
| Content.Result     | 检查结果    | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息    | 为""或null，不显示此项    |
| Name               | 检查项名称  | "ConnectorCheck"          |
| ReferenceSheet     | 关联表      | 参考-连接件对照表         |
| ResultMsg          | 提示信息    | 为""或null，不显示此项    |
| Result             | 结果        | “Success”,"Failure"       |

## 构件范围检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Redundant":500,
        "BaseLevel":0,
        "TopLevels":"4500",
        "Name":"ElementRangeCheck",
        "Content":[
            {
                "Id":"316183",
                "FamilyName":"混凝土 - 矩形 - 柱",
                "Type":"柱",
                "HeightRange":"0,4500",
                "ResultMsg":"",
                "Result":"Success"
            },
            ...
        ],
        "Result":"Success"
    }

| 名称                | 解释                                                   | 示例                          |
|---------------------|--------------------------------------------------------|-------------------------------|
| Content.Id          | Revit实例Id                                            | 316183                        |
| Content.FamilyName  | 构件族名称                                             | 混凝土 - 矩形 - 柱            |
| Content.Type        | 构件类型                                               | 柱，墙，空间，设备,部件，信标 |
| Content.HeightRange | 高度范围                                               | "0,4500"                      |
| Content.Result      | 检查结果                                               | 可选：“Success”,"Failure"     |
| Content.ResultMsg   | 提示信息                                               | 为""或null，不显示此项        |
| Name                | 检查项名称                                             | "ElementRangeCheck"           |
| Redundant           | 构建检查的冗余值                                       | 500                           |
| BaseLevel           | 当前层标记                                             | 0                             |
| TopLevels           | 顶部标记集合，可能包含多个夹层和上一层，多个使用；分割 | "4500"                        |
| ResultMsg           | 提示信息                                               | 为""或null，不显示此项        |
| Result              | 结果                                                   | “Success”,"Failure"           |
## 系统类型名称检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"SystemNameCheck",
        "Content":[
            {
                "SystemName":"送风",
                "SystemType":"风管系统",
                "ResultMsg":"未知的系统名称，请按照系统类型命名规范修改",
                "Result":"Failure"
            },
    ...
        ],
        "ReferenceSheet":"参考-可识别的系统名称",
        "Result":"Success"
    }
| 名称               | 解释       | 示例                      |
|--------------------|------------|---------------------------|
| Content.Systemname | 系统名称   | 雨水管                    |
| Content.Type       | 构件类型   | 管道系统；风管系统        |
| Content.Result     | 检查结果   | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息   | 为""或null，不显示此项    |
| Name               | 检查项名称 | "SystemNameCheck"         |
| ReferenceSheet     | 关联表     | 参考-可识别的系统名称     |
| ResultMsg          | 提示信息   | 为""或null，不显示此项    |
| Result             | 结果       | “Success”,"Failure"       |
## 未在空间中的设备
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"EquipInSpaceCheck",
        "Content":[
            {
                "Id":"363043",
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "SpaceId":"445757",
                "Result":"Success"
            },
            ...
        ],
        "Result":"Success"
    }
| 名称               | 解释         | 示例                      |
|--------------------|--------------|---------------------------|
| Content.Familyname | 族名称       | FSCP-消火栓起泵按钮       |
| Content.Id         | Revit实例Id  | 1530697                   |
| Content.SpaceId    | 关联空间的Id | 445757                    |
| Content.Result     | 检查结果     | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息     | 为""或null，不显示此项    |
| Name               | 检查项名称   | "EquipInSpaceCheck"       |
| ResultMsg          | 提示信息     | 为""或null，不显示此项    |
| Result             | 结果         | “Success”,"Failure"       |

## 管网及相关设备检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"SystemReferEquipCheck",
        "Content":[
            {
                "Id":"363043",
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "PassSystems":"",
                "UnPassSystems":"送风、回风",
                "ResultMsg":"连接件所连接的管道系统与规范不一致，请检查",
                "Result":"Failure"
            },
            ...
        ],
        "ReferenceSheet":"参考-管网及相关设备",
        "Result":"Success"
    }
| 名称                  | 解释                 | 示例                      |
|-----------------------|----------------------|---------------------------|
| Content.Id            | Revit实例Id          | 1530697                   |
| Content.Familyname    | 族名称               | FSCP-消火栓起泵按钮       |
| Content.PassSystems   | 通过检查的管网系统   | 循环供水、湿式消防系统    |
| Content.UnPassSystems | 未通过检查的管网系统 | 其他                      |
| Content.Result        | 检查结果             | 可选：“Success”,"Failure" |
| Content.ResultMsg     | 提示信息             | 为""或null，不显示此项    |
| Name                  | 检查项名称           | "SystemReferEquipCheck"   |
| ResultMsg             | 提示信息             | 为""或null，不显示此项    |
| Result                | 结果                 | “Success”,"Failure"       |
## Revit族参数完整性检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"ParameterIntegrityCheck",
        "Content":[
            {
                "Id":"363043",
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "ResultMsg":"缺失的参数为：设备本地名称、设备本地编码",
                "Result":"Failure"
            },
           ...
        ],
        "Result":"Success"
    }
| 名称               | 解释        | 示例                             |
|--------------------|-------------|----------------------------------|
| Content.Id         | Revit实例Id | 1530697                          |
| Content.Familyname | 族名称      | VTIO-送风散流器 - 方形(200x200） |
| Content.Result     | 检查结果    | 可选：“Success”,"Failure"        |
| Content.ResultMsg  | 提示信息    | 为""或null，不显示此项           |
| Name               | 检查项名称  | "ParameterIntegrityCheck"        |
| ResultMsg          | 提示信息    | 为""或null，不显示此项           |
| Result             | 结果        | “Success”,"Failure"              |

## 管段检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"PipeCheck",
        "Content":[
            {
                "Id":"363043",
                "SystemName":"给水管",
                "ResultMsg":"末端未连接任何设备,请检查",
                "Result":"Failure"
            }
        ],
        "Result":"Success"
    }
| 名称               | 解释           | 示例                      |
|--------------------|----------------|---------------------------|
| Content.Id         | Revit实例Id    | 1530697                   |
| Content.SystemName | 管道系统的名称 | 给水管                    |
| Content.Result     | 检查结果       | 可选：“Success”,"Failure" |
| Content.ResultMsg  | 提示信息       | 为""或null，不显示此项    |
| Name               | 检查项名称     | PipeCheck Pip""           |
| ResultMsg          | 提示信息       | 为""或null，不显示此项    |
| Result             | 结果           | “Success”,"Failure"       |


## xyz坐标重叠检查
    输入：Revit模型文件地址 ***\F1.rvt
    输出：
    {
        "Name":"XYZOverlapCheck",
        "Content":[
            {
                "Id":"363043",
                "FamilyName":"ATFC-带回风箱的风机盘管",
                "ResultMsg":"与340021的坐标发生重叠，请检查",
                "Result":"Failure"
            },
           ...
        ],
        "Result":"Success"
    }

| 名称               | 解释        | 示例                             |
|--------------------|-------------|----------------------------------|
| Content.Id         | Revit实例Id | 1530697                          |
| Content.Familyname | 族名称      | VTIO-送风散流器 - 方形(200x200） |
| Content.Result     | 检查结果    | 可选：“Success”,"Failure"        |
| Content.ResultMsg  | 提示信息    | 为""或null，不显示此项           |
| Name               | 检查项名称  | "XYZOverlapCheck"                |
| ResultMsg          | 提示信息    | 为""或null，不显示此项           |
| Result             | 结果        | “Success”,"Failure"              |

## 完整示例
    {
        "FloorName":"F1.rvt",
        "Result":"Success",
        "ResultMsg":"",
        "Content":[
            {
                "Name":"SagaCheck",
                "Content":[
                    {
                        "PlanName":"F1-saga",
                        "Result":"Success",
                        "ResultMsg":""
                    }
                ]
            },
            {
                "Name":"UnitCheck",
                "Content":[
                    {
                        "Unit":"mm",
                        "Result":"Success",
                        "ResultMsg":""
                    }
                ]
            },
            {
                "Name":"FamilyNameCheck",
                "Content":[
                    {
                        "FamilyName":"弯头 - ISBIM",
                        "Result":"Failure",
                        "ResultMsg":"请检查族名称编码是否符合要求"
                    }
                ]
            },
            {
                "Name":"EquipPartLocationCheck",
                "Content":[
                    {
                        "PartId":"720828",
                        "PartFamilyName":"TDLSDW-低压配电抽屉",
                        "RefId":"720899",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"ColumnCheck",
                "Content":[
                    {
                        "Id":"628267",
                        "FamilyName":"钢管混凝土柱 - 矩形",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"ElementRangeCheck",
                "Redundant":500,
                "BaseLevel":0,
                "TopLevels":"6;9;10",
                "Content":[
                    {
                        "Id":"720828",
                        "FamilyName":"VTSF-混流式风机",
                        "Type":"设备",
                        "HeightRange":"3,10",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"ConnectorCheck",
                "Content":[
                    {
                        "Id":"628267",
                        "FamilyName":"VTSF-混流式风机",
                        "Result":"Failure",
                        "ResultMsg":"发现 风管连接件未连接;"
                    }
                ]
            },
            {
                "Name":"SystemNameCheck",
                "Content":[
                    {
                        "SystemName":"回风风管",
                        "SystemType":"风管系统",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"EquipInSpaceCheck",
                "Content":[
                    {
                        "Id":"1530269",
                        "FamilyName":"EGCR-门禁-带键盘读卡器",
                        "Result":"Failure",
                        "ResultMsg":"请检查设备是否在空间中"
                    }
                ]
            },
            {
                "Name":"SystemReferEquipCheck",
                "Content":[
                    {
                        "Id":"1530269",
                        "FamilyName":"EGCR-门禁-带键盘读卡器",
                        "PassSystems":"冷却水供水管 4,冷却水回水管 2",
                        "UnPassSystems":"冷冻水回水管 2,冷冻水供水管 8",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"ParameterIntegrityCheck",
                "Content":[
                    {
                        "FamilyName":"EGCR-门禁-带键盘读卡器",
                        "Result":"Success",
                        "ResultMsg":"通过"
                    }
                ]
            },
            {
                "Name":"PipeCheck",
                "Content":[
                    {
                        "Id":"363043",
                        "SystemName":"给水管",
                        "ResultMsg":"末端未连接任何设备,请检查",
                        "Result":"Failure"
                    }
                ],
                "Result":"Success"
            }
        ]
    }